using PkmnLibSharp.Utilities;

namespace PkmnLibSharp.Library.GrowthRates
{
    public class LookupGrowthRate : GrowthRate
    {
        public LookupGrowthRate(uint[] experiencePerLevel) : base(
            Creaturelib.Generated.LookupGrowthRate.Construct(experiencePerLevel.ArrayPtr(),
                (ulong) experiencePerLevel.Length))
        {
        }

        protected override void DeletePtr()
        {
            Creaturelib.Generated.LookupGrowthRate.Destruct(Ptr);
        }
    }
}